.resolution_body {
  height: calc(100% - 90px);
  padding: 0px;
}

.resolution_footer {
  display: flex;
  justify-content: end;
  gap: 10px;
  padding: 10px;
}

.resolution_panel_actions {
  display: flex;
  justify-content: space-between;
  width: 100%;
  padding: 10px;
}

.resolution_panel_items {
  width: calc(100% - 10px);
  height: calc(100% - 50px);
  border: 1px solid #c4c4c4;
  margin: 0 5px;
  padding: 5px;
  overflow-x: hidden;
  overflow-y: auto;
}

.resolution_item {
  display: flex;
  width: 100%;
  min-height: 50px;
  border: 1px solid #e5e5e5;
  background: #fff;
  margin-bottom: 5px;
}

.resolution_item.active {
  border: 1px solid #999;
  background: #f9f9f9;
}

.resolution_item>div {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 5px;
}

.resolution_item>div:first-child {
  width: 100%;
  padding: 5px;
}

.resolution_item>div:last-child {
  display: none;
}

.resolution_item.active>div:first-child {
  width: calc(100% - 30px);
}

.resolution_item.active>div:last-child {
  display: block;
  width: 30px;
}

.resolution_item_name {
  width: 100%;
}

.resolution_item_name>input,
.resolution_item_param>input,
.resolution_item_param>div,
.resolution_item_users>div {
  display: none;
}

.resolution_item.active .resolution_item_name>input,
.resolution_item.active .resolution_item_param>input,
.resolution_item.active .resolution_item_param>div,
.resolution_item.active .resolution_item_users>div {
  display: block;
}

.resolution_item.active .resolution_item_name>span,
.resolution_item.active .resolution_item_param>span,
.resolution_item.active .resolution_item_users>span {
  display: none;
}

.resolution_item_param {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 2px;
}

.resolution_item.active .resolution_item_param {
  flex-direction: row;
  align-items: center;
}

.resolution_datetime_input_container {
  display: none;
  flex-direction: row;
}

.resolution_item.active .resolution_item_param .resolution_datetime_input_container {
  display: flex;
}

.resolution_panel_items a.uk-icon[disabled] {
  pointer-events: none;
}

.resolution_item .uk-select[disabled] {
  background-color: #fff;
  opacity: 1;
}

.resolution_item_param .uk-checkbox[disabled],
.resolution_item .resolution_datetime_input_container input[disabled]{
  background-color: #fff;
}

.resolution_item *,
.resolution_item ::placeholder {
  font-size: 14px
}
